<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_privacy_settings', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->boolean('store_conversations')->default(true);
            $table->unsignedInteger('conversation_retention_days')->default(365);
            $table->boolean('auto_anonymize')->default(true);

            // Auditoría
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_privacy_settings');
    }
};
