<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_usage_metrics', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->date('metric_date')->index();
            $table->unsignedInteger('total_conversations')->default(0);
            $table->unsignedInteger('total_messages')->default(0);
            $table->unsignedInteger('unique_users')->default(0);
            $table->unsignedInteger('guests')->default(0);

            // Auditoría
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_usage_metrics');
    }
};
