<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_security_alerts', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->string('alert_type')->index();
            $table->text('description');
            $table->boolean('resolved')->default(false);
            $table->timestamp('resolved_at')->nullable();

            // Auditoría
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_security_alerts');
    }
};
