<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_resources', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->string('title');
            $table->text('description')->nullable();
            $table->string('resource_url');
            $table->boolean('active')->default(true)->index();

            // Auditoría
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_resources');
    }
};
