<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_guests', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->uuid('uuid')->unique()->index();
            $table->string('ip_address')->nullable();
            $table->string('browser')->nullable();
            $table->string('location')->nullable();

            // Auditoría
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_guests');
    }
};
